MantisBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0017376mantisbtperformancepublic2014-05-26 11:062014-06-23 12:14
Reportergrangeway 
Assigned Todregad 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.3.xFixed in Version1.3.x 
Summary0017376: Perf: use sprintf over utf8_str_pad
DescriptionWhen dealing with integers, we can make use of php's builtin sprintf function over utf8_str_pad for better performance.

By definition, an integer is not going to be a unicode character.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Related Changesets
MantisBT: master 0748f79a
Timestamp: 2014-05-26 12:09:51
Author: Paul Richards
Committer: dregad
Details ] Diff ]
Fix 0017376: Perf: use sprintf over utf8_str_pad

Patch from grangeway's original pull request [1].

[1] fixes https://github.com/mantisbt/mantisbt/pull/182 [^]

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/bug_api.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-26 11:06 grangeway New Issue
2014-05-28 18:41 grangeway Status new => assigned
2014-05-28 18:41 grangeway Assigned To => grangeway
2014-06-23 06:21 dregad Changeset attached => MantisBT master 0748f79a
2014-06-23 06:21 dregad Assigned To grangeway => dregad
2014-06-23 06:21 dregad Status assigned => resolved
2014-06-23 06:21 dregad Resolution open => fixed
2014-06-23 06:21 dregad Fixed in Version => 1.3.x
2014-06-23 12:14 atrol Target Version => 1.3.x


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.0670 seconds.
memory usage: 3,011 KB
Powered by Mantis Bugtracker